<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldPlaylistid extends JFormFieldList {

    /**
     * Element name
     * @access	protected
     * @var		string
     */
    var $_name = 'playlistid';

	protected function getOptions() {
		

		$db = JFactory::getDBO ();
		$q = "SELECT p.id, p.title , u.username 
		FROM #__myplayer_playlists p 
		JOIN #__users u ON u.id = p.created_by 
		WHERE p.state='1' AND u.block='0' 
		ORDER BY u.username ASC , p.ordering ASC ";
		$db->setQuery($q);
		$playlists = $db->loadObjectList ();
		
		$options = array();
		foreach ($playlists as $playlist) {
			$title = $playlist->username. ' :: '.$playlist->title;
			$options[] = JHTML::_('select.option', $playlist->id, $title);
		}
		
		return $options;

	}

}