<?php
/**
 * @package		com_myplayer
 * @subpackage	mod_myplayer_playlist
 * @copyright	Copyright (C) 2010 - 2015 Nordmograph.com, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */
 error_reporting(E_ALL);
ini_set("display_errors", 1);
defined('_JEXEC') or die;
abstract class modPlaylistHelper
{
	public static function getPlaylist(&$params)
	{
		$playlistid 		= $params->get('playlistid');
		$db 	= JFactory::getDBO();
		$q = "SELECT * FROM #__myplayer_playlists WHERE id='".$playlistid."' ";
		$db->setQuery($q);
		return $db->loadObject();
	}
	
	public static function getCustomize(&$params)
	{
		$playlistid 		= $params->get('playlistid');
		$db 	= JFactory::getDBO();
		$q = "SELECT * FROM #__myplayer_customize WHERE playlist_id='".$playlistid."' ";
		$db->setQuery($q);
		return $db->loadObject();
	}
		
		
	public static function getTracks(&$params)
	{
		$db 	= JFactory::getDBO();
		$user 	= JFactory::getUser();
		
		$playlistid 		= $params->get('playlistid');
		$show_description 	= $params->get('show_description',1);
		
		$cparams 			= JComponentHelper::getParams('com_myplayer');
		$profileman		 	= $cparams->get('profileman', '0');
		$enable_podcast 	= $cparams->get('enable_podcast', 1);
		$enable_popup 		= $cparams->get('enable_popup', 1);
		$popup_width 		= $cparams->get('popup_width', '510');
		$popup_height 		= $cparams->get('popup_height', '215');
		$enable_qrcode 		= $cparams->get('enable_qrcode', 1);
		$show_date 			= $cparams->get('show_date', 1);
		$default_privacy 	= $cparams->get('default_privacy', '0');
		
		
	
			$q = "SELECT DISTINCT(mt.id) , mt.* , mt.title AS tracktitle , u.name, u.username 
			 ";
			$q .= " FROM #__myplayer_tracks mt 
			JOIN #__users u ON u.id = mt.created_by ";
			if($user->id==0 && $default_privacy>0 )
			{
				$q .=" JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id ";
				$q .=" JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy='0' ";
			}
			elseif($user->id>0 && $default_privacy>20)
			{
				$q .=" JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id ";
				$q .=" JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy<30 ";
			}
			else
			{
				$q .=" LEFT JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id 
				 LEFT JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy<30 ";
			}
			$q .=" WHERE mt.state='1'  "; // allow public or registred tracks
			$q .= " AND mtp.playlist_id='".$playlistid."' ";
			$q .="  ORDER BY mtp.ordering DESC ";	
			
		$db->setQuery($q);
		$tracks = $db->loadObjectList();
		return $tracks;
	}
	static function get_string_between($string, $start, $end)
	{
		$string = " ".$string;
		$ini = strpos($string,$start);
		if ($ini == 0) return "";
		$ini += strlen($start);
		$len = strpos($string,$end,$ini) - $ini;
		return substr($string,$ini,$len);
	}
}