CREATE TABLE IF NOT EXISTS `#__myplayer_tracks` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`title` VARCHAR(180)  NOT NULL ,
`artist` VARCHAR(180)  NOT NULL ,
`album` VARCHAR(180)  NOT NULL ,
`year` INT(4)  NOT NULL ,
`duration` VARCHAR(7)  NOT NULL ,
`id3_genre` VARCHAR(180)  NOT NULL ,
`file` VARCHAR(255)  NOT NULL ,
`file_url` VARCHAR(900)  NOT NULL ,
`cover` VARCHAR(255)  NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
`created_on` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__myplayer_customize` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`playlist_id` int(11) NOT NULL ,
`attributes` VARCHAR(15)  NOT NULL ,
`css` VARCHAR(255)  NOT NULL ,
`player_height` INT(4)  NOT NULL ,
`created_by` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__myplayer_tracktags` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
`track_id` int(11) unsigned NOT NULL DEFAULT '0',
`tag` varchar(255) NOT NULL,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__myplayer_playlists` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`title` VARCHAR(255)  NOT NULL ,
`alias` VARCHAR(255)  NOT NULL ,
`description` MEDIUMTEXT NOT NULL ,
`privacy` VARCHAR(255)  NOT NULL ,
`player_height` INT(4)  NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__myplayer_tracksplaylists` (
`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
`track_id` int(11) unsigned NOT NULL DEFAULT '0',
`playlist_id` int(11) unsigned NOT NULL DEFAULT '0',
`ordering` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;



