CREATE TABLE IF NOT EXISTS `#__myplayer_playlists` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`title` VARCHAR(255)  NOT NULL ,
`alias` VARCHAR(255)  NOT NULL ,
`description` MEDIUMTEXT NOT NULL ,
`privacy` VARCHAR(255)  NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__myplayer_tracksplaylists` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `track_id` int(11) unsigned NOT NULL DEFAULT '0',
  `playlist_id` int(11) unsigned NOT NULL DEFAULT '0',
  `ordering` INT(11)  NOT NULL ,
  PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

ALTER TABLE `#__myplayer_customize` ADD `player_height` INT(4) UNSIGNED NOT NULL DEFAULT '0' AFTER `css`;