<?php

/**
 * @version    CVS: 1.0.0
 * @package    Com_myplayer
 * @author     Nordmograph <contact@nordmograph.com>
 * @copyright  2016 Nordmograph
 * @license    GNU General Public License version 2 or later ; See LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;
 
/**
 * Script file of HelloWorld module
 */
class com_myplayerInstallerScript
{
	/**
	 * Method to install the extension
	 * $parent is the class calling this method
	 *
	 * @return void
	 */
	function install($parent) 
	{
		
	}
 
	/**
	 * Method to uninstall the extension
	 * $parent is the class calling this method
	 *
	 * @return void
	 */
	function uninstall($parent) 
	{
		//echo '<p>The module has been uninstalled</p>';
	}
 
	/**
	 * Method to update the extension
	 * $parent is the class calling this method
	 *
	 * @return void
	 */
	function update($parent) 
	{
		
		//$this->install($parent);
		
	}
 
	/**
	 * Method to run before an install/update/uninstall method
	 * $parent is the class calling this method
	 * $type is the type of change (install, update or discover_install)
	 *
	 * @return void
	 */
	function preflight($type, $parent) 
	{
		
	}
 
	/**
	 * Method to run after an install/update/uninstall method
	 * $parent is the class calling this method
	 * $type is the type of change (install, update or discover_install)
	 *
	 * @return void
	 */
	function postflight($type, $parent) 
	{
		$lang = JFactory::getLanguage();
		$lang->load('com_myplayer', JPATH_ADMINISTRATOR);
		$app = JFactory::getApplication();	
		$user = JFactory::getUser();	
		$db	= JFactory::getDBO();

		if($type=='install' OR $type=='update' )
		{
			$module_installer = new JInstaller;
			$file_origin = JPATH_ADMINISTRATOR.'/components/com_myplayer/install/modules/mod_myplayer_latesttracks';
			if( $module_installer->install( $file_origin ) )
			{
				$app->enqueueMessage('<i class="icon-ok"></i> MYPLAYER LATEST TRACKS module installed successfully.','message');
			} else $error++;
			
			$module_installer = new JInstaller;
			$file_origin = JPATH_ADMINISTRATOR.'/components/com_myplayer/install/modules/mod_myplayer_playlist';
			if( $module_installer->install( $file_origin ) )
			{
				$app->enqueueMessage('<i class="icon-ok"></i> MYPLAYER PLAYLIST module installed successfully.','message');
			} else $error++;
			
			
			if(file_exists(JPATH_ADMINISTRATOR.'/components/com_community/community.php') )
			{
				$plugin_installer = new JInstaller;
				$file_origin = JPATH_ADMINISTRATOR.'/components/com_myplayer/install/plugins/community/plg_community_myplayer';
				if( $plugin_installer->install( $file_origin ) )
				{	
					$app->enqueueMessage('<i class="icon-ok"></i> MYPLAYER profile plugin for JOMSOCIAL installed successfully.','message');
				} else $error++;	
			}
			if(file_exists(JPATH_ADMINISTRATOR.'/components/com_comprofiler/comprofiler.php') )
			{
					$app->enqueueMessage('<i class="icon-warning"></i> Get the latest CB plugin 
					<a href="components/com_myplayer/install/plugins/cb/plug_myplayer.zip"  target="_blank">FROM HERE</a> 
					and install it manually.','warning');
	
			}
			if(file_exists(JPATH_ADMINISTRATOR.'/components/com_easysocial/easysocial.php') )
			{
					$app->enqueueMessage('<i class="icon-warning"></i> Get the latest EASYSOCIAL Profile App plugin for MYPLAYER 
					<a href="components/com_myplayer/install/plugins/easysocial/plg_app_user_myplayer.zip" target="_blank" >FROM HERE</a> 
					and install it manually.','warning');
			}
		}

		 $update ='<iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2Fpages%2FNordmograph-Web-marketing-and-Joomla-expertise%2F368385633962&amp;width&amp;layout=button_count&amp;action=recommend&amp;show_faces=false&amp;share=false&amp;height=21&amp;appId=739550822721946" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:21px;" allowTransparency="true"></iframe>';
  		$update .='<div style="text-align:center;padding:0 0 100px; 0"><br /><a href="index.php?option=com_config&view=component&component=com_myplayer" class="btn btn-primary btn-large"><span class="icon-star"></span> MYPLAYER Options</a></div>';
 		 echo $update;
	}
}