<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldJScolor extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'opacity';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		// Initialize variables.
		$html = array();
        $juri = JURI::base();
        $doc = JFactory::getDocument();
		$doc->addScript($juri.'components/com_myplayer/assets/js/jscolor/jscolor.js');
        $html[] = '<input type="text" name="'.$this->name.'" value="'.$this->value.'" class="color {hash:true,pickerPosition:\'right\'}" />';
		return implode($html);
	}
}