<?php
/**
 * @package		com_myplayer
 * @subpackage	mod_myplayer_latesttracks
 * @copyright	Copyright (C) 2010 - 2015 Nordmograph.com, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;
$html = '';
$avatar = '';
$juri 	= JURI::base();
JHTML::_('behavior.modal');
if(count($items))
{
	foreach($items as $track)
	{
		$html .= '<div class="well well-small">';
		/*if($track->cover)
		{
			$cover_url = $juri.'media/com_myplayer/covers/'.$track->created_by.'/'.$track->cover;
			$html .= '<div class="myp-trackcover" ><img src="'.$cover_url.'" alt="cover" width="83" height="83" /></div> ';
		}*/
			
		$track_info = sprintf(JText::_('COM_MYPLAYER_TITLEBYARTIST'),$track->title,$track->artist);
		$date_info = JHtml::date( $track->created_on , $date_format, $tz=false);
		if($profileman=='0')
		{
			$player_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='.$track->created_by.'&Itemid='.$player_Itemid);
			$user_info = '<a href="'.$player_url.'">'.$track->username.'</a>';
		}
		elseif($profileman=='cb')
		{
			$player_url = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$track->created_by);
			if(!$track->thumb)
				$avatar_url	= $juri.'components/com_comprofiler/plugin/templates/default/images/avatar/tnnophoto_n.png';
			elseif($track->avatarapproved=='0')
				$avatar_url = $juri.'components/com_comprofiler/plugin/templates/default/images/avatar/tnpending_n.png';
			elseif(substr($track->avatar,0,8)=='gallery/')
				$avatar_url = $juri.'images/comprofiler/'.$this->avatar;
			else
				$avatar_url = $juri.'images/comprofiler/tn'.$this->avatar;
			$avatar = '<div class="myp-avatar"><a href="'.$player_url.'" >
			<img src="'.$avatar_url.'"  height="32" alt="avatar" /></a></div>';
			$user_info = '<a href="'.$player_url.'">'.$track->username.'</a>';
		}
		elseif($profileman=='js')
		{
			if(!$track->thumb  )
				$avatar_url = $juri.'components/com_community/assets/user-Male-thumb.png';
			else
				$avatar_url = $juri_storage.$infowindow->thumb;
			$player_url = JRoute::_('index.php?option=com_community&view=profile&userid='.$track->created_by);
			$avatar = '<div class="myp-avatar"><a href="'.$player_url.'" >
			<img src="'.$avatar_url.'" width="32" height="32" alt="avatar" /></a></div>';
			$user_info = '<a href="'.$player_url.'">'.$track->$naming.'</a>';
		}
		elseif($profileman=='es')
		{
			$player_url = JRoute::_('index.php?option=com_easysocial&view=profile&id='.$track->created_by.':'.$track->username);
			$avatar = '<div class="myp-avatar">
			<a href="'.$player_url.'" 
			data-user-id="'.$track->created_by.'" data-popbox="module://easysocial/profile/popbox">
			<img src="'.Foundry::user($track->created_by)->getAvatar(SOCIAL_AVATAR_SMALL).'" 
			width="32" height="32" alt="avatar" /></a></div>';
			$user_info = '<a data-user-id="'.$track->created_by.'" 
			data-popbox="module://easysocial/profile/popbox" href="'.$player_url.'">
			'.Foundry::user($track->created_by)->getName().'</a>';
		}
		
		if($track->file)
			$track_url = $juri.'media/com_myplayer/tracks/'.$track->created_by.'/'.$track->file;
		elseif($track->file_url)
				{
					$track_url = $track->file_url;
					if($soundcloud_client_id && strpos($track_url,'soundcloud')!==false )
						$track_url = $track_url.'?client_id='.$soundcloud_client_id;
				}
		
		$tracks = '<li>';
		$tracks .='<a type="audio/mp3" href="'.$track_url.'">';
		if( $track->cover )
		{
			$cover_url = $juri.'media/com_myplayer/covers/'. $track->created_by.'/'. $track->cover;  
			$tracks .= '<span class="myp-trackcover-as" ><img src="'.$cover_url.'" alt="cover" width="28" height="28" /></span>';
		 }	
		$tracks .= $track_info.'</a>';
		$tracks .= '</li>';
		
	
			$opacity 	= 1;
			$color 		= trim(MyplayerFrontendHelper::get_string_between($track->css , 'color:',';'));
			$fullcolors = trim(MyplayerFrontendHelper::get_string_between($track->css , 'rgba(',')'));
			$colors 	= explode(',',$fullcolors);
			$opacity 	= trim(end($colors));
			$texture 	= trim(MyplayerFrontendHelper::get_string_between($track->css , 'ground:',';'));
			if($colors)
			{
				/*echo '<style>.sm2-bar-ui .sm2-main-controls,
				.sm2-bar-ui .sm2-playlist-drawer {
				 background-color: '.$color.'; 
				 background-color: rgba('.$fullcolors.');
				 opacity:'.$opacity.';
				}</style>';*/
				$player_style = 'background-color: '.$color.';background-color: rgba('.$fullcolors.');opacity:'.$opacity.';';
			}
			else
			{
				/*echo '<style>.sm2-bar-ui .sm2-main-controls,
				.sm2-bar-ui .sm2-playlist-drawer {
				 background-color: '.$color.';
				}</style>';*/
				$player_style = 'background-color: '.$color.';';
			
			}
			if(strpos($texture,'.png')!==false)
			{
				$texture_css = 'url('.$juri.
				'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/'.$texture.')';
			}
			else
				$texture_css =$texture;
			//echo '<style>.sm2-bar-ui .sm2-inline-texture {background:'.$texture_css.'}</style>';	
	
		
			
		$html .= '<div >';
		$html .= $avatar;
		if($show_date)
			$html .= sprintf( JText::_('COM_MYPLAYER_UPLOADEDINFODATE_MULTIPLE') , $date_info , $user_info);
		else
			$html .= sprintf( JText::_('COM_MYPLAYER_UPLOADEDINFO_SINGLE') , $user_info);
		$html .= '</div>';
		$html .= '<div class="sm2-bar-ui full-width  textured '.$track->attributes.'" style="'.$player_style.'">

 <div class="bd sm2-main-controls" style="'.$player_style.'">

  <div class="sm2-inline-texture"  style="background: '.$texture_css.'"></div>
  <div class="sm2-inline-gradient"></div>

  <div class="sm2-inline-element sm2-button-element">
   <div class="sm2-button-bd">
    <a href="#play" class="sm2-inline-button play-pause"><i class="myp-icon-play"></i>lay / pause</a>
   </div>
  </div>

  <div class="sm2-inline-element sm2-inline-status">

   <div class="sm2-playlist">
    <div class="sm2-playlist-target"><ul class="sm2-playlist-bd">'.$tracks.'</ul></div>
   </div>

   <div class="sm2-progress">
    <div class="sm2-row">
    <div class="sm2-inline-time">0:00</div>
     <div class="sm2-progress-bd">
      <div class="sm2-progress-track">
       <div class="sm2-progress-bar"></div>
       <div class="sm2-progress-ball"><div class="icon-overlay"></div></div>
      </div>
     </div>
     <div class="sm2-inline-duration">0:00</div>
    </div>
   </div>

  </div>

  <div class="sm2-inline-element sm2-button-element sm2-volume">
   <div class="sm2-button-bd">
    <span class="sm2-inline-button sm2-volume-control volume-shade"></span>
    <a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
   </div>
  </div>

 </div>

 <div class="bd sm2-playlist-drawer sm2-element">

  <div class="sm2-inline-texture">
   <div class="sm2-box-shadow"></div>
  </div>

  <!-- playlist content is mirrored here -->

  <div class="sm2-playlist-wrapper">
    <ul class="sm2-playlist-bd">
     '.$tracks.'
    </ul>
  </div>
 </div>
</div>';

$html .= '</div>
<div class="clear"></div>';
	}
}
else
	$html .= '<li>'.JText::_('COM_MYPLAYER_NOTRACKYET'). '</li>';
	

echo $html;