<?php

/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class MyplayerController extends JControllerLegacy {

    /**
     * Method to display a view.
     *
     * @param	boolean			$cachable	If true, the view output will be cached
     * @param	array			$urlparams	An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
     *
     * @return	JController		This object to support chaining.
     * @since	1.5
     */
    public function display($cachable = false, $urlparams = false)
	{
        require_once JPATH_COMPONENT . '/helpers/myplayer.php';
        $view = JFactory::getApplication()->input->getCmd('view', 'tracks');
        JFactory::getApplication()->input->set('view', $view);
        parent::display($cachable, $urlparams);
        return $this;
    }
	
	public function updatetrackorder()
	{
    	$db = JFactory::getDBO();
		$app = JFactory::getApplication();
		$list_order = $app->input->post->get('list_order','','string');
		$playlistid = $app->input->post->getInt('playlistid');
		// convert the string list to an array
		$list = explode(',' , $list_order);
		$i = count($list) ;
		foreach($list as $id)
		{
			$q  = "UPDATE #__myplayer_tracksplaylists
			SET ordering = '".(int)$i."' 
			WHERE track_id = '".(int)$id."' 
			AND playlist_id='".$playlistid."' " ;
			$db->setQuery( $q );
           	if (!$db->query()) die($db->stderr(true));
			$i-- ;
		}
    }
	public function updatelistorder()
	{
    	$db = JFactory::getDBO();
		$user = JFactory::getUser();
		$app = JFactory::getApplication();
		$list_order = $app->input->post->get('list_order','','string');
		// convert the string list to an array
		$list = explode(',' , $list_order);
		$i = count($list) ;
		$j = 1;
		foreach($list as $id)
		{
			$q  = "UPDATE #__myplayer_playlists 
			SET ordering = '".(int)$j."' 
			WHERE id = '".(int)$id."' 
			AND created_by='".$user->id."' " ;
			$db->setQuery( $q );
           	if (!$db->query()) die($db->stderr(true));
			$j++ ;
		}
    }
}
