<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldPlaylistprivacy extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'playlistprivacy';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$cparams 		= JComponentHelper::getParams('com_myplayer');
		$profileman 	= $cparams->get('profileman', '0');
		// Initialize variables.
		$html = '';
        $html .= '<select name="'.$this->name.'"  >
					<option value="0" ';
		if($this->value =='0')
			$html .= ' selected="selected" ';
		$html .= '>'.JText::_('COM_MYPLAYER_PLAYLIST_PRIVACY_0').'</option>
					<option value="20" ';
		if($this->value =='20')
			$html .= ' selected="selected" ';			
		$html .= '>'.JText::_('COM_MYPLAYER_PLAYLIST_PRIVACY_20').'</option>';	
		if($profileman!='0')
		{
			$html .='<option value="30" ';
			if($this->value =='30')
				$html .= ' selected="selected" ';	
			$html .= '>'.JText::_('COM_MYPLAYER_PLAYLIST_PRIVACY_30').'</option>';	
		}
		$html .='<option value="40" ';
		if($this->value =='40')
			$html .= ' selected="selected" ';
		$html .= '>'.JText::_('COM_MYPLAYER_PLAYLIST_PRIVACY_40').'</option>
		</select>';
        
		return $html;
	}
}