<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports an HTML select list
 */
class JFormFieldPlaylists extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'playlists';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$html = '';
        $db = JFactory::getDBO();
		$user = JFactory::getUser();
		$q	= "SELECT id, title  
		FROM #__myplayer_playlists 
		WHERE created_by='".$user->id."' AND created_by>0 
		ORDER BY ordering ASC ";
		$db->setQuery($q);
		$lists = $db->loadObjectList();
        $html .= '<select  name="'.$this->name.'" multiple="multiple">';
		foreach($lists as $list)
		{
			$html .= '<option value="'.$list->id.'" ';
			if( in_array( $list->id ,  $this->value ) )
			{
				$html .= ' selected="selected" ' ;	
			}
			$html .= '>'.$list->title.'</option>';
		}
		$html.= '</select>';
		return $html;
	}
}