<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
$juri = JURI::base();
//Load admin language file
//$lang = JFactory::getLanguage();
//$lang->load('com_myplayer', JPATH_ADMINISTRATOR);
$user = JFactory::getUser();
$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$doc->addStylesheet($juri . '/components/com_myplayer/assets/css/fontello.css');
$doc->addStylesheet($juri . '/components/com_myplayer/assets/css/customize.css');
$doc->addScript($juri . '/components/com_myplayer/assets/js/form.js');
$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/bar-ui/css/bar-ui.css');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/bar-ui/script/bar-ui.js');


$cparams 			= JComponentHelper::getParams('com_myplayer');
//var_dump($cparams);
$profileman 			= $cparams->get('profileman', '0');
$enable_activitystream	= $cparams->get('enable_activitystream', 1);
$enable_localfiles		= $cparams->get('enable_localfiles', 1);
$enable_distantfiles	= $cparams->get('enable_distantfiles', 1);
$default_maxfilesize 	= $cparams->get('default_maxfilesize');

$doc->addScriptDeclaration('jQuery(function() {
	jQuery( "#jform_textlight0" ).click( function( event, ui ) {
			jQuery(\' .sm2-bar-ui \').removeClass( "dark-text" );
	});
	jQuery( "#jform_textlight1" ).click( function( event, ui ) {
			jQuery(\' .sm2-bar-ui \').addClass( "dark-text" );
	});
	jQuery( "#jform_flat0" ).click( function( event, ui ) {
		jQuery(\' .sm2-bar-ui \').removeClass( "flat" );
	});
	jQuery( "#jform_flat1" ).click( function( event, ui ) {
		var newValue = jQuery(this).val();
		jQuery(\' .sm2-bar-ui \').addClass( "flat" );
	});
	jQuery( ".color" ).change( function( event, ui ) {
		
		var newValue = jQuery(this).val();
		//	alert(newValue);
		jQuery(\' .sm2-bar-ui .sm2-main-controls, .sm2-bar-ui .sm2-playlist-drawer\').css("background-color",newValue );
	});
});');
?>


<div class="customize-edit front-end-edit">
    <h1><?php 
		echo '<i class="myp-icon-droplet" ></i> '.JText::_('COM_MYPLAYER_CUSTOMIZEPLAYER'); 
	 ?></h1>
     
     <?php
	//var_dump($this->playlists);
	 if(count($this->playlists)>0 )
{
	$script = "jQuery(document).ready( function() {
				jQuery('#playlist-selector').change(function() {
	  			window.location = jQuery(this).val();
			});});";
	$doc->addScriptDeclaration($script);
	$latesttracks_url = JRoute::_('index.php?option=com_myplayer&view=customize&playlistid=0&latest=1&Itemid='.$this->customize_Itemid);
	
	echo '<form class="form-horizontal"><div class="myp-form control-group" id="playlist">';
	
	
	
	echo '<div class="control-label"><i class="myp-icon-playlist"></i> '.JText::_('COM_MYPLAYER_CUSTOMIZE_PLAYLIST').'</div> 
	
	<div class="controls"><select id="playlist-selector" name="playlist-selector" >
	<option value="'.$latesttracks_url.'" ';
	if($this->latest)
		echo ' selected="selected" ';
	echo '>'.sprintf(JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS'), $user->username).'</option>';
	foreach($this->playlists as $playlist)
	{
		$redir_url = JRoute::_('index.php?option=com_myplayer&view=customize&playlistid='.$playlist->id.'&Itemid='.$this->customize_Itemid) ;
		echo '<option value="'.$redir_url.'" ';
		if($playlist->id == $this->playlistid && !$this->latest)
			echo ' selected="selected" ';
		echo '>'.$playlist->title.'</option>';
	}
	echo '</select></div>
	</div></form>';
}
?>
     
     <div class="well well-small">
     <div class="sm2-bar-ui full-width textured playlist-open <?php echo $this->attributes ?>">

 <div class="bd sm2-main-controls" >

  <div class="sm2-inline-texture" ></div>
  <div class="sm2-inline-gradient"></div>

  <div class="sm2-inline-element sm2-button-element">
   <div class="sm2-button-bd">
    <a href="#play" class="sm2-inline-button play-pause">Play / pause</a>
   </div>
  </div>

  <div class="sm2-inline-element sm2-inline-status">

   <div class="sm2-playlist">
    <div class="sm2-playlist-target"><ul class="sm2-playlist-bd"><li><b>Sample Artist</b> - Sample title</li></ul></div>
   </div>

   <div class="sm2-progress">
    <div class="sm2-row">
    <div class="sm2-inline-time">0:00</div>
     <div class="sm2-progress-bd">
      <div class="sm2-progress-track">
       <div class="sm2-progress-bar"></div>
       <div class="sm2-progress-ball"><div class="icon-overlay"></div></div>
      </div>
     </div>
     <div class="sm2-inline-duration">0:00</div>
    </div>
   </div>

  </div>

  <div class="sm2-inline-element sm2-button-element sm2-volume">
   <div class="sm2-button-bd">
    <span class="sm2-inline-button sm2-volume-control volume-shade"></span>
    <a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
   </div>
  </div>

  <div class="sm2-inline-element sm2-button-element">
   <div class="sm2-button-bd">
    <a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
   </div>
  </div>

  <div class="sm2-inline-element sm2-button-element">
   <div class="sm2-button-bd">
    <a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
   </div>
  </div>

  <div class="sm2-inline-element sm2-button-element sm2-menu">
   <div class="sm2-button-bd">
     <a href="#menu" class="sm2-inline-button pmenu">menu</a>
   </div>
  </div>

 </div>

 <div class="bd sm2-playlist-drawer sm2-element" style="height: 0px; ">

  <div class="sm2-inline-texture" >
   <div class="sm2-box-shadow"></div>
  </div>

  <!-- playlist content is mirrored here -->

  <div class="sm2-playlist-wrapper">
    <ul class="sm2-playlist-bd">
     <li class="selected"><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>
     <li><a href=""><b>Sample Artist</b> - Sample title</a></li>

    </ul>
  </div>

  <div class="sm2-extra-controls">

   <div class="bd">

    <div class="sm2-inline-element sm2-button-element">
     <a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
    </div>

    <div class="sm2-inline-element sm2-button-element">
     <a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
    </div>

    <!-- unimplemented -->
    <!--
    <div class="sm2-inline-element sm2-button-element disabled">
     <a href="#repeat" title="Repeat playlist" class="sm2-inline-button repeat">&infin; repeat</a>
    </div>

    <div class="sm2-inline-element sm2-button-element disabled">
     <a href="#shuffle" title="Shuffle" class="sm2-inline-button shuffle">shuffle</a>
    </div>
    -->

   </div>

  </div>

 </div>

</div>
</div>
     

    <form id="form-track" action="<?php echo JRoute::_('index.php?option=com_myplayer&task=customize.save'); ?>" method="post" class="vmv-form form-validate form-horizontal" >
        
	<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />
       <?php
	

	echo '<div class="control-group" id="id">
	<div class="control-label">'.$this->form->getInput('id').'</div>
		
	</div>
	<div class="control-group" id="texture">
		<div class="control-label"> '.$this->form->getLabel('texture').'</div>
		<div class="controls">'.$this->form->getInput('texture').'</div>
	</div>
	<div class="control-group" id="color">
		<div class="control-label"> '.$this->form->getLabel('color').'</div>
		<div class="controls">'.$this->form->getInput('color').'</div>
	</div>
	<div class="control-group" id="opacity">
		<div class="control-label"> '.$this->form->getLabel('opacity').'</div>
		<div class="controls">'.$this->form->getInput('opacity').'</div>
	</div>
	

	<div class="control-group" id="textlight">
		<div class="control-label"> '.$this->form->getLabel('textlight').'</div>
		<div class="controls">'.$this->form->getInput('textlight').'</div>
	</div>
	<div class="control-group" id="flat">
		<div class="control-label"> '.$this->form->getLabel('flat').'</div>
		<div class="controls">'.$this->form->getInput('flat').'</div>
	</div>
	    <div class="control-group">
		<div class="control-label">'.$this->form->getLabel('player_height').'</div>
		<div class="controls">'. $this->form->getInput('player_height').'</div>
	</div>';
	
	if($user->id)
	{
?>
<input type="hidden" name="jform[created_by]" value="<?php echo $user->id; ?>" />
<input type="hidden" name="jform[playlist_id]" value="<?php echo $this->playlistid; ?>" />
        <div class="control-group">
            <div class="controls">
                <button type="submit"  class="ladda-button validate btn btn-primary" data-style="expand-right"><i class="myp-icon-cog-alt"></i> <?php echo JText::_('JSUBMIT'); ?>
                </button>
               
                <a class="btn" href="javascript:history.back()" title="<?php echo JText::_('JCANCEL'); ?>"><i class="myp-icon-cancel"></i> <?php echo JText::_('JCANCEL'); ?></a>
            </div>
        </div>
        
        <input type="hidden" name="option" value="com_myplayer" />
        <input type="hidden" name="task" value="customize.save" />
        <?php echo JHtml::_('form.token'); ?>
    
    
    <?php }
	else
		$app->enqueueMessage(JText::_('COM_MYPLAYER_NEEDTOLOGIN'),'warning'); ?>
</form></div>