<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
$user = JFactory::getUser();
$app = JFactory::getApplication();
//Load admin language file
$lang = JFactory::getLanguage();
$lang->load('com_myplayer', JPATH_ADMINISTRATOR);
$doc = JFactory::getDocument();
$doc->addScript(JUri::base() . '/components/com_myplayer/assets/js/form.js');


?>
</style>
<script type="text/javascript">
    if (jQuery === 'undefined') {
        document.addEventListener("DOMContentLoaded", function(event) { 
            jQuery('#form-playlists').submit(function(event) {
                
            });

            
        });
    } else {
        jQuery(document).ready(function() {
            jQuery('#form-playlists').submit(function(event) {
                
            });

            
        });
    }
</script>

<div class="playlists-edit front-end-edit">
    <?php if (!empty($this->item->id)): ?>
        <h1><?php echo JText::_('COM_MYPLAYER_EDITPLAYLIST').' '.$this->item->title; ?></h1>
    <?php else: ?>
        <h1><?php echo JText::_('COM_MYPLAYER_CREATEPLAYLIST') ?></h1>
    <?php endif; ?>

    <form id="form-playlists" action="<?php echo JRoute::_('index.php?option=com_myplayer&task=playlist.save'); ?>" method="post" class="myp-form form-validate form-horizontal" enctype="multipart/form-data">
        
	<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />

	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('title'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('title'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('description'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('description'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('privacy'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('privacy'); ?></div>
	</div>
	<input type="hidden" name="jform[ordering]" value="<?php echo $this->item->ordering; ?>" />

	<input type="hidden" name="jform[state]" value="<?php echo $this->item->state; ?>" />

	<input type="hidden" name="jform[checked_out]" value="<?php echo $this->item->checked_out; ?>" />

	<input type="hidden" name="jform[checked_out_time]" value="<?php echo $this->item->checked_out_time; ?>" />

	<?php if(empty($this->item->created_by)): ?>
		<input type="hidden" name="jform[created_by]" value="<?php echo JFactory::getUser()->id; ?>" />
	<?php else: ?>
		<input type="hidden" name="jform[created_by]" value="<?php echo $this->item->created_by; ?>" />
	<?php endif;
	
	if($user->id)
	{
		 ?>
        <div class="control-group">
            <div class="controls">
                <button type="submit" class="validate btn btn-primary"><i class="myp-icon-cog-alt" ></i> <?php echo JText::_('JSUBMIT'); ?></button>
                <a class="btn" href="<?php echo JRoute::_('index.php?option=com_myplayer&task=playlistform.cancel'); ?>" title="<?php echo JText::_('JCANCEL'); ?>"><i class="myp-icon-cancel"></i> <?php echo JText::_('JCANCEL'); ?></a>
            </div>
        </div>
        
        <input type="hidden" name="option" value="com_myplayer" />
        <input type="hidden" name="task" value="playlistform.save" />
        <?php echo JHtml::_('form.token'); 
		
	}
	else
		$app->enqueueMessage(JText::_('COM_MYPLAYER_NEEDTOLOGIN'),'warning');?>
    </form>
</div>
